WPSBorder Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPSBorder Struct Reference

a border list More...

`#include <libwps_internal.h>`

## Public Types
enum | Style { None, Simple, Dot, LargeDot, Dash }
| the line style More...
enum | Type { Single, Double, Triple }
| the line repetition More...
enum | Pos { Left = 0, Right = 1, Top = 2, Bottom = 3 }
enum | { LeftBit = 0x01, RightBit = 0x02, TopBit =0x4, BottomBit = 0x08 }

## Public Member Functions
| WPSBorder ()
| constructor More...
| WPSBorder (WPSBorder const &)=default
| WPSBorder (WPSBorder &&)=default
WPSBorder & | operator= (WPSBorder const &)=default
WPSBorder & | operator= (WPSBorder &&)=default
bool | addTo (librevenge::RVNGPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed ) More...
bool | isEmpty () const
| returns true if the border is empty More...
bool | operator== (WPSBorder const &orig) const
| operator== More...
bool | operator!= (WPSBorder const &orig) const
| operator!= More...
int | compare (WPSBorder const &orig) const
| compare two cell More...

## Public Attributes
Style | m_style
| the border style More...
Type | m_type
| the border repetition More...
int | m_width
| the border width More...
std::vector< double > | m_widthsList
| the different length used for each line/sep (if defined) More...
WPSColor | m_color
| the border color More...
std::string | m_extra
| extra data ( if needed) More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)
| operator<< More...
std::ostream & | operator<< (std::ostream &o, WPSBorder::Style const &style)
| operator<<: prints data in form "none|dot|..." More...

## Detailed Description

a border list

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
LeftBit |
RightBit |
TopBit |
BottomBit |

## ◆ Pos

enum WPSBorder::Pos

Enumerator
Left |
Right |
Top |
Bottom |

## ◆ Style

enum WPSBorder::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |

## ◆ Type

enum WPSBorder::Type

the line repetition

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

## ◆ WPSBorder() [1/3]

WPSBorder::WPSBorder | ( |  | ) |
| inline

constructor

## ◆ WPSBorder() [2/3]

WPSBorder::WPSBorder | ( | WPSBorder const & |  | ) |
| default

## ◆ WPSBorder() [3/3]

WPSBorder::WPSBorder | ( | WPSBorder && |  | ) |
| default

## Member Function Documentation

## ◆ addTo()

bool WPSBorder::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string | which = `""`
| ) |  | const

add the border property to proplist (if needed )

    \note if set which must be equal to "left", "top", ...

Referenced by WPSParagraph::addTo().

## ◆ compare()

int WPSBorder::compare | ( | WPSBorder const & | orig | ) | const

compare two cell

## ◆ isEmpty()

bool WPSBorder::isEmpty | ( |  | ) | const
| inline

returns true if the border is empty

## ◆ operator!=()

bool WPSBorder::operator!= | ( | WPSBorder const & | orig | ) | const
| inline

operator!=

## ◆ operator=() [1/2]

WPSBorder& WPSBorder::operator= | ( | WPSBorder && |  | ) |
| default

## ◆ operator=() [2/2]

WPSBorder& WPSBorder::operator= | ( | WPSBorder const & |  | ) |
| default

## ◆ operator==()

bool WPSBorder::operator== | ( | WPSBorder const & | orig | ) | const
| inline

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border
| ) |  |
| friend

operator<<

## ◆ operator<< [2/2]

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder::Style const & | style
| ) |  |
| friend

operator<<: prints data in form "none|dot|..."

## Member Data Documentation

## ◆ m_color

WPSColor WPSBorder::m_color

the border color

Referenced by addTo(), compare(), operator<<(), operator==(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleE6(), Quattro9Spreadsheet::readCellStyles(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), DosWordParser::readPAP(), WPS4Text::readParagraph(), and WPS8TextStyle::readParagraph().

## ◆ m_extra

std::string WPSBorder::m_extra

extra data ( if needed)

Referenced by operator<<().

## ◆ m_style

Style WPSBorder::m_style

the border style

Referenced by WPSParagraph::addTo(), addTo(), WPS8TableInternal::Cell::Cell(), LotusStyleManagerInternal::CellStyle::CellStyle(), compare(), isEmpty(), operator<<(), operator==(), LotusSpreadsheet::readCellsFormat801(), LotusStyleManager::readCellStyleE6(), Quattro9Spreadsheet::readCellStyles(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), WPSCellFormat::setBorders(), and WPSGraphicStyle::setBorders().

## ◆ m_type

Type WPSBorder::m_type

the border repetition

Referenced by addTo(), operator<<(), operator==(), QuattroDosSpreadsheet::readCellProperty(), QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleE6(), Quattro9Spreadsheet::readCellStyles(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), QuattroDosSpreadsheet::readUserStyle(), and LotusSpreadsheetInternal::ExtraStyle::update().

## ◆ m_width

int WPSBorder::m_width

the border width

Referenced by addTo(), compare(), isEmpty(), operator<<(), operator==(), QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleE6(), Quattro9Spreadsheet::readCellStyles(), WKS4Spreadsheet::readMsWorksStyle(), DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), QuattroDosSpreadsheet::readUserStyle(), and LotusSpreadsheetInternal::ExtraStyle::update().

## ◆ m_widthsList

std::vector<double> WPSBorder::m_widthsList

the different length used for each line/sep (if defined)

    \note when defined, the size of this list must be equal to 2*Type-1

Referenced by addTo(), compare(), operator<<(), and operator==().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp